Last modified: 2012-07-28 17:34:26 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 30035 - link not parsed correctly in Special:MergeAccount (german)
link not parsed correctly in Special:MergeAccount (german)
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks: messages
  Show dependency treegraph
 
Reported: 2011-07-24 04:53 UTC by Noël
Modified: 2012-07-28 17:34 UTC (History)
6 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Noël 2011-07-24 04:53:03 UTC
http://de.wikipedia.org/wiki/Spezial:Benutzerkonten_zusammenf%C3%BChren

When you see this Page without being logged in, 
[{{fullurl:{{#special:UserLogin}}|returnto={{#special:MergeAccount}}}} melde dich an]
is not correctly parsed due to the whitespace in the German translation of
#special:MergeAccount: "Benutzerkonten_zusammenführen"

(Element: 'centralauth-merge-notlogged')

So the link and the text are wrong.
Comment 1 Sam Reed (reedy) 2011-07-24 22:11:01 UTC
I can't actually see an issue here...
Comment 2 Noël 2011-07-25 00:20:37 UTC
(In reply to comment #1)
> I can't actually see an issue here...

Look at the page i posted a link to... (Log out!)
"Bitte zusammenführen melde dich an, um zu prüfen," is wrong, it should be:
"Bitte melde dich an, um zu prüfen,"

and the link directs to:
"http://de.wikipedia.org/w/index.php?title=Spezial:Anmelden&returnto=Spezial:Benutzerkonten"

instead of
"http://de.wikipedia.org/w/index.php?title=Spezial:Anmelden&returnto=Spezial:Benutzerkonten_zusammenführen"

so "zusammenführen" is parsed falsely out of the link into the text of the link.
Comment 3 db [inactive,noenotif] 2011-08-04 20:09:59 UTC
{{#special:MergeAccount}} give "Spezial:Benutzerkonto zusammenführen" and the weblink is ended with the space, needs urlencode inside of the message or a urlencode parser function for #speciale (bug 23006) which can use inside the message
Comment 4 Nemo 2012-07-28 17:09:07 UTC
Fixed a while ago, verified working also on de.wiki because local message has been deleted as well.
https://translatewiki.net/w/i.php?title=MediaWiki%3ACentralauth-merge-notlogged%2Fde&diff=3290314&oldid=3274796

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links